"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimpleAuthGuard = void 0;
const core_1 = require("@nestjs/core");
const swagger_1 = require("@nestjs/swagger");
const app_module_1 = require("./app.module");
const simple_auth_guard_1 = require("./users/simple-auth.guard");
Object.defineProperty(exports, "SimpleAuthGuard", { enumerable: true, get: function () { return simple_auth_guard_1.SimpleAuthGuard; } });
const common_1 = require("@nestjs/common");
async function bootstrap() {
    const app = await core_1.NestFactory.create(app_module_1.AppModule);
    app.useGlobalPipes(new common_1.ValidationPipe());
    // https://docs.nestjs.com/openapi/introduction
    // https://docs.nestjs.com/openapi/operations
    const config = new swagger_1.DocumentBuilder()
        .setTitle('Truc')
        .setDescription('The truc APIs description')
        .setVersion('1.0')
        .addBearerAuth({ type: 'http', scheme: 'bearer', bearerFormat: 'JWT' }, 'access-token')
        .build();
    const document = swagger_1.SwaggerModule.createDocument(app, config);
    swagger_1.SwaggerModule.setup('apis', app, document);
    await app.listen(3000);
}
bootstrap();
//# sourceMappingURL=main.js.map